com.tibbo.aggregate.common.server

## Interface ClassContextConstants

-     public interface ClassContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_STATE_TRANSITION`
    `static java.lang.String` | `F_CURRENT_TRANSITIONS`
    `static java.lang.String` | `F_EXECUTE_TRANSACTION`
    `static java.lang.String` | `F_LIFE_CYCLES`
    `static java.lang.String` | `F_NAMING_EXPRESSION`
    `static java.lang.String` | `F_PERMISSION_FIELDS`
    `static java.lang.String` | `F_PREPARE_FILTER`
    `static java.lang.String` | `F_PROCESS_BINDINGS`
    `static java.lang.String` | `F_TRANSITIONS`
    `static java.lang.String` | `F_UPDATE_VIEW_BINDINGS`
    `static java.lang.String` | `FIELD_TRANSACTION_FORMAT_CONTEXT`
    `static java.lang.String` | `FIELD_TRANSACTION_FORMAT_FUNCTION`
    `static java.lang.String` | `FIELD_TRANSACTION_FORMAT_PARAMETERS`
    `static java.lang.String` | `FIF_CURRENT_TRANSITIONS_CLASS_NAME`
    `static java.lang.String` | `FIF_CURRENT_TRANSITIONS_CYCLE_NAME`
    `static java.lang.String` | `FIF_CURRENT_TRANSITIONS_DASHBOARD_CONTEXT`
    `static java.lang.String` | `FIF_CURRENT_TRANSITIONS_DATA`
    `static java.lang.String` | `FIF_CURRENT_TRANSITIONS_INSTANCE_ID`
    `static java.lang.String` | `FIF_EXECUTE_TRANSACTION_ON_FAILURE`
    `static java.lang.String` | `FIF_EXECUTE_TRANSACTION_ON_SUCCESS`
    `static java.lang.String` | `FIF_EXECUTE_TRANSACTION_TRANSACTION`
    `static java.lang.String` | `FIF_LIFE_CYCLES_CLASS_NAME`
    `static java.lang.String` | `FIF_LIFE_CYCLES_OLD_VALUE`
    `static java.lang.String` | `FIF_PROCESS_BINGINGS_FILTER`
    `static java.lang.String` | `FIF_TRANSITIONS_OLD_VALUE`
    `static java.lang.String` | `FIF_TRANSITIONS_STATE`
    `static java.lang.String` | `FIF_UPDATE_VIEW_BINDINGS_BINDINGS`
    `static java.lang.String` | `FIF_UPDATE_VIEW_BINDINGS_VIEW_COLUMNS`
    `static java.lang.String` | `FOF_CREATE_TABLE_STATE_TRANSITIONS_STATE_NAME`
    `static java.lang.String` | `MANY_TO_MANY_RELATION_LEFT`
    `static java.lang.String` | `MANY_TO_MANY_RELATION_RIGHT`
    `static java.lang.String` | `SUBCLASSES`
    `static java.lang.String` | `V_BINDINGS`
    `static java.lang.String` | `V_FIELDS`
    `static java.lang.String` | `V_LIFECYCLES`
    `static java.lang.String` | `V_MANY_TO_MANY_RELATIONS`
    `static java.lang.String` | `V_PERMISSIONS`
    `static java.lang.String` | `V_VIEWS`
    `static java.lang.String` | `VF_FIELD_INHERITED_TABLE_NAME`
    `static java.lang.String` | `VF_FIELDS_FIELD_PARENT_CLASS`
    `static java.lang.String` | `VF_FIELDS_LENGTH`
    `static java.lang.String` | `VF_FIELDS_PRIMARY_KEY`
    `static java.lang.String` | `VF_LIFECYCLES_DESCRIPTION`
    `static java.lang.String` | `VF_LIFECYCLES_NAME`
    `static java.lang.String` | `VF_LIFECYCLES_STATE_TRANSITIONS`
    `static java.lang.String` | `VF_LIFECYCLES_STATES`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_BINDING_EXPRESSION`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_BINDING_TARGET`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_DESCRIPTION`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_ENTRANCE_BINDINGS`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_ENTRANCE_CONDITION`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_EXIT_BINDINGS`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_EXIT_CONDITION`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_FILL_SETTING_FIELD_NAME`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_FILL_SETTING_ON_ENTRANCE`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_FILL_SETTING_ON_EXIT`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_FILL_SETTINGS`
    `static java.lang.String` | `VF_LIFECYCLES_STATES_NAME`
    `static java.lang.String` | `VF_MANY_TO_MANY_RELATIONS_CASCADE_DELETE`
    `static java.lang.String` | `VF_MANY_TO_MANY_RELATIONS_DESCRIPTION`
    `static java.lang.String` | `VF_MANY_TO_MANY_RELATIONS_NAME`
    `static java.lang.String` | `VF_MANY_TO_MANY_RELATIONS_ORIGIN`
    `static java.lang.String` | `VF_MANY_TO_MANY_RELATIONS_RELATED_CLASS`
    `static java.lang.String` | `VF_PERMISSION_FIELDS`
    `static java.lang.String` | `VF_PERMISSION_INSTANCES`
    `static java.lang.String` | `VF_PERMISSION_READ`
    `static java.lang.String` | `VF_PERMISSION_USERS`
    `static java.lang.String` | `VF_PERMISSION_WRITE`
    `static java.lang.String` | `VF_VIEWS_BINDINGS`
    `static java.lang.String` | `VF_VIEWS_DESCRIPTION`
    `static java.lang.String` | `VF_VIEWS_FIELDS`
    `static java.lang.String` | `VF_VIEWS_FILTER`
    `static java.lang.String` | `VF_VIEWS_NAME`
    `static java.lang.String` | `VF_VIEWS_RELATIONS`
    `static java.lang.String` | `VF_VIEWS_SORTING`

- - ### Field Detail

    - #### MANY_TO_MANY_RELATION_LEFT

          static final java.lang.String MANY_TO_MANY_RELATION_LEFT

      See Also:
        Constant Field Values

    - #### MANY_TO_MANY_RELATION_RIGHT

          static final java.lang.String MANY_TO_MANY_RELATION_RIGHT

      See Also:
        Constant Field Values

    - #### SUBCLASSES

          static final java.lang.String SUBCLASSES

      See Also:
        Constant Field Values

    - #### V_FIELDS

          static final java.lang.String V_FIELDS

      See Also:
        Constant Field Values

    - #### V_BINDINGS

          static final java.lang.String V_BINDINGS

      See Also:
        Constant Field Values

    - #### V_MANY_TO_MANY_RELATIONS

          static final java.lang.String V_MANY_TO_MANY_RELATIONS

      See Also:
        Constant Field Values

    - #### V_VIEWS

          static final java.lang.String V_VIEWS

      See Also:
        Constant Field Values

    - #### V_PERMISSIONS

          static final java.lang.String V_PERMISSIONS

      See Also:
        Constant Field Values

    - #### V_LIFECYCLES

          static final java.lang.String V_LIFECYCLES

      See Also:
        Constant Field Values

    - #### F_LIFE_CYCLES

          static final java.lang.String F_LIFE_CYCLES

      See Also:
        Constant Field Values

    - #### F_TRANSITIONS

          static final java.lang.String F_TRANSITIONS

      See Also:
        Constant Field Values

    - #### F_CURRENT_TRANSITIONS

          static final java.lang.String F_CURRENT_TRANSITIONS

      See Also:
        Constant Field Values

    - #### F_PROCESS_BINDINGS

          static final java.lang.String F_PROCESS_BINDINGS

      See Also:
        Constant Field Values

    - #### F_UPDATE_VIEW_BINDINGS

          static final java.lang.String F_UPDATE_VIEW_BINDINGS

      See Also:
        Constant Field Values

    - #### F_EXECUTE_TRANSACTION

          static final java.lang.String F_EXECUTE_TRANSACTION

      See Also:
        Constant Field Values

    - #### F_PERMISSION_FIELDS

          static final java.lang.String F_PERMISSION_FIELDS

      See Also:
        Constant Field Values

    - #### F_PREPARE_FILTER

          static final java.lang.String F_PREPARE_FILTER

      See Also:
        Constant Field Values

    - #### F_NAMING_EXPRESSION

          static final java.lang.String F_NAMING_EXPRESSION

      See Also:
        Constant Field Values

    - #### A_STATE_TRANSITION

          static final java.lang.String A_STATE_TRANSITION

      See Also:
        Constant Field Values

    - #### VF_FIELDS_PRIMARY_KEY

          static final java.lang.String VF_FIELDS_PRIMARY_KEY

      See Also:
        Constant Field Values

    - #### VF_FIELDS_FIELD_PARENT_CLASS

          static final java.lang.String VF_FIELDS_FIELD_PARENT_CLASS

      See Also:
        Constant Field Values

    - #### VF_FIELDS_LENGTH

          static final java.lang.String VF_FIELDS_LENGTH

      See Also:
        Constant Field Values

    - #### VF_MANY_TO_MANY_RELATIONS_NAME

          static final java.lang.String VF_MANY_TO_MANY_RELATIONS_NAME

      See Also:
        Constant Field Values

    - #### VF_MANY_TO_MANY_RELATIONS_DESCRIPTION

          static final java.lang.String VF_MANY_TO_MANY_RELATIONS_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_MANY_TO_MANY_RELATIONS_RELATED_CLASS

          static final java.lang.String VF_MANY_TO_MANY_RELATIONS_RELATED_CLASS

      See Also:
        Constant Field Values

    - #### VF_MANY_TO_MANY_RELATIONS_CASCADE_DELETE

          static final java.lang.String VF_MANY_TO_MANY_RELATIONS_CASCADE_DELETE

      See Also:
        Constant Field Values

    - #### VF_MANY_TO_MANY_RELATIONS_ORIGIN

          static final java.lang.String VF_MANY_TO_MANY_RELATIONS_ORIGIN

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_NAME

          static final java.lang.String VF_LIFECYCLES_NAME

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_DESCRIPTION

          static final java.lang.String VF_LIFECYCLES_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES

          static final java.lang.String VF_LIFECYCLES_STATES

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATE_TRANSITIONS

          static final java.lang.String VF_LIFECYCLES_STATE_TRANSITIONS

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_NAME

          static final java.lang.String VF_LIFECYCLES_STATES_NAME

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_DESCRIPTION

          static final java.lang.String VF_LIFECYCLES_STATES_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_ENTRANCE_CONDITION

          static final java.lang.String VF_LIFECYCLES_STATES_ENTRANCE_CONDITION

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_EXIT_CONDITION

          static final java.lang.String VF_LIFECYCLES_STATES_EXIT_CONDITION

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_ENTRANCE_BINDINGS

          static final java.lang.String VF_LIFECYCLES_STATES_ENTRANCE_BINDINGS

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_EXIT_BINDINGS

          static final java.lang.String VF_LIFECYCLES_STATES_EXIT_BINDINGS

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_FILL_SETTING_FIELD_NAME

          static final java.lang.String VF_LIFECYCLES_STATES_FILL_SETTING_FIELD_NAME

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_FILL_SETTING_ON_EXIT

          static final java.lang.String VF_LIFECYCLES_STATES_FILL_SETTING_ON_EXIT

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_FILL_SETTING_ON_ENTRANCE

          static final java.lang.String VF_LIFECYCLES_STATES_FILL_SETTING_ON_ENTRANCE

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_BINDING_TARGET

          static final java.lang.String VF_LIFECYCLES_STATES_BINDING_TARGET

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_BINDING_EXPRESSION

          static final java.lang.String VF_LIFECYCLES_STATES_BINDING_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_LIFECYCLES_STATES_FILL_SETTINGS

          static final java.lang.String VF_LIFECYCLES_STATES_FILL_SETTINGS

      See Also:
        Constant Field Values

    - #### VF_VIEWS_NAME

          static final java.lang.String VF_VIEWS_NAME

      See Also:
        Constant Field Values

    - #### VF_VIEWS_DESCRIPTION

          static final java.lang.String VF_VIEWS_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_VIEWS_FIELDS

          static final java.lang.String VF_VIEWS_FIELDS

      See Also:
        Constant Field Values

    - #### VF_VIEWS_RELATIONS

          static final java.lang.String VF_VIEWS_RELATIONS

      See Also:
        Constant Field Values

    - #### VF_VIEWS_FILTER

          static final java.lang.String VF_VIEWS_FILTER

      See Also:
        Constant Field Values

    - #### VF_VIEWS_SORTING

          static final java.lang.String VF_VIEWS_SORTING

      See Also:
        Constant Field Values

    - #### VF_VIEWS_BINDINGS

          static final java.lang.String VF_VIEWS_BINDINGS

      See Also:
        Constant Field Values

    - #### VF_PERMISSION_USERS

          static final java.lang.String VF_PERMISSION_USERS

      See Also:
        Constant Field Values

    - #### VF_PERMISSION_FIELDS

          static final java.lang.String VF_PERMISSION_FIELDS

      See Also:
        Constant Field Values

    - #### VF_PERMISSION_INSTANCES

          static final java.lang.String VF_PERMISSION_INSTANCES

      See Also:
        Constant Field Values

    - #### VF_PERMISSION_WRITE

          static final java.lang.String VF_PERMISSION_WRITE

      See Also:
        Constant Field Values

    - #### VF_PERMISSION_READ

          static final java.lang.String VF_PERMISSION_READ

      See Also:
        Constant Field Values

    - #### VF_FIELD_INHERITED_TABLE_NAME

          static final java.lang.String VF_FIELD_INHERITED_TABLE_NAME

      See Also:
        Constant Field Values

    - #### FIF_LIFE_CYCLES_CLASS_NAME

          static final java.lang.String FIF_LIFE_CYCLES_CLASS_NAME

      See Also:
        Constant Field Values

    - #### FIF_LIFE_CYCLES_OLD_VALUE

          static final java.lang.String FIF_LIFE_CYCLES_OLD_VALUE

      See Also:
        Constant Field Values

    - #### FIF_TRANSITIONS_STATE

          static final java.lang.String FIF_TRANSITIONS_STATE

      See Also:
        Constant Field Values

    - #### FIF_TRANSITIONS_OLD_VALUE

          static final java.lang.String FIF_TRANSITIONS_OLD_VALUE

      See Also:
        Constant Field Values

    - #### FIF_CURRENT_TRANSITIONS_CLASS_NAME

          static final java.lang.String FIF_CURRENT_TRANSITIONS_CLASS_NAME

      See Also:
        Constant Field Values

    - #### FIF_CURRENT_TRANSITIONS_CYCLE_NAME

          static final java.lang.String FIF_CURRENT_TRANSITIONS_CYCLE_NAME

      See Also:
        Constant Field Values

    - #### FIF_CURRENT_TRANSITIONS_DATA

          static final java.lang.String FIF_CURRENT_TRANSITIONS_DATA

      See Also:
        Constant Field Values

    - #### FIF_CURRENT_TRANSITIONS_DASHBOARD_CONTEXT

          static final java.lang.String FIF_CURRENT_TRANSITIONS_DASHBOARD_CONTEXT

      See Also:
        Constant Field Values

    - #### FIF_CURRENT_TRANSITIONS_INSTANCE_ID

          static final java.lang.String FIF_CURRENT_TRANSITIONS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### FIF_PROCESS_BINGINGS_FILTER

          static final java.lang.String FIF_PROCESS_BINGINGS_FILTER

      See Also:
        Constant Field Values

    - #### FIF_UPDATE_VIEW_BINDINGS_BINDINGS

          static final java.lang.String FIF_UPDATE_VIEW_BINDINGS_BINDINGS

      See Also:
        Constant Field Values

    - #### FIF_UPDATE_VIEW_BINDINGS_VIEW_COLUMNS

          static final java.lang.String FIF_UPDATE_VIEW_BINDINGS_VIEW_COLUMNS

      See Also:
        Constant Field Values

    - #### FIF_EXECUTE_TRANSACTION_TRANSACTION

          static final java.lang.String FIF_EXECUTE_TRANSACTION_TRANSACTION

      See Also:
        Constant Field Values

    - #### FIF_EXECUTE_TRANSACTION_ON_SUCCESS

          static final java.lang.String FIF_EXECUTE_TRANSACTION_ON_SUCCESS

      See Also:
        Constant Field Values

    - #### FIF_EXECUTE_TRANSACTION_ON_FAILURE

          static final java.lang.String FIF_EXECUTE_TRANSACTION_ON_FAILURE

      See Also:
        Constant Field Values

    - #### FOF_CREATE_TABLE_STATE_TRANSITIONS_STATE_NAME

          static final java.lang.String FOF_CREATE_TABLE_STATE_TRANSITIONS_STATE_NAME

      See Also:
        Constant Field Values

    - #### FIELD_TRANSACTION_FORMAT_CONTEXT

          static final java.lang.String FIELD_TRANSACTION_FORMAT_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_TRANSACTION_FORMAT_FUNCTION

          static final java.lang.String FIELD_TRANSACTION_FORMAT_FUNCTION

      See Also:
        Constant Field Values

    - #### FIELD_TRANSACTION_FORMAT_PARAMETERS

          static final java.lang.String FIELD_TRANSACTION_FORMAT_PARAMETERS

      See Also:
        Constant Field Values